<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'zu', version '2.0'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['autocreate'] = 'Izifundo zingazikhandekela uma kunababhalisile esifundweni esingekho kuyi moodle.';
$string['autocreation_settings'] = 'Okokulungisa ukukhandakela kwezifundo.';
$string['bind_dn'] = 'Uma ufuna ukusebenzisa i bind-user ukucinga abasebenzisi,kuchaze la.Into enje \'cn=ldapuser,ou=public,o=org\'
enrol_ldap_bind_dn';
$string['bind_pw'] = 'Ukhiye we bind-user.';
$string['category'] = 'Umkhakha wokuzikhandakela kwezifundo.';
$string['contexts'] = 'LDAP contexts';
$string['course_fullname'] = 'Kuyakhethwa:isikhala se LDAP ukuthola igama eligcwele kukho';
$string['course_idnumber'] = 'Map to the unique identifier in LDAP, usually
<em>cn</em> or <em>uid</em>. It is
recommended to lock the value if you are using
automatic course creation.';
$string['course_settings'] = 'Okokulungisa ukubhaliswa kwezifundo.';
$string['course_shortname'] = 'Optional: LDAP field to get the shortname from.';
$string['course_summary'] = 'Optional: LDAP field to get the summary from.';
$string['editlock'] = 'Lock value';
$string['enrolname'] = 'LDAP';
$string['general_options'] = 'General Options';
$string['host_url'] = 'Specify LDAP host in URL-form like
\'ldap://ldap.myorg.com/\'
or \'ldaps://ldap.myorg.com/\'';
$string['memberattribute'] = 'LDAP member attribute';
$string['objectclass'] = 'objectClass used to search courses. Usually
\'posixGroup\'.';
$string['pluginname_desc'] = 'Ungasebenzisa i LDAP server ukuze unakekele abambalisile. Kuyacatshangelwa ukuthi i LDAP yakho inequlu eliya ezifundweni, nokuthi iqulu ngalinye line membership entries kubafundi.</p>
<p> kuyacatshangelwa ukuthi izifundo zichazwe njengequlu kuyi LDAP,iqulu ngalinye libe nama membership fields aphindaphindekile(<em>member</em> or <em>memberUid</em>) ene ncazelo ehlukile yomsebenzisi.</p>
<p>Ukusebenzisa i LDAP yokubhalisa,abasebenzisi<strong>kumele</strong> babe nenombolo ye field okuyiyona yona.Iqulu le LDAP kumele libe nayo le nombolo ye id kuyi member fields ukuze abasebenzisi babhalise esifundweni.Lokhu kuvame ukusebenza kahle uma ngabe usuvele usebenzisa i LDAP Authentication.</p>
<p>Ukubhalisa kuzoqhutshezwa uma umsebenzisi engena.Futhi ungasebenzisa i script ukubeka ukubhaliswa kuyi synch.Bheka kuyi<em>enrol/ldap/enrol_ldap_sync.php</em>.</p>
<p>This plugin can also be set to automatically create new
courses when new groups appear in LDAP.</p>
description';
$string['roles'] = 'Role mapping';
$string['server_settings'] = 'LDAP Server Settings';
$string['template'] = 'Optional: auto-created courses can copy
their settings from a template course.';
$string['updatelocal'] = 'Update local data';
$string['version'] = 'Uhlobo lwe LDAP protocol olusetshenziswa yi server.';
