<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_quiz_results', language 'zu', version '2.0'.
 *
 * @package     block_quiz_results
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bestgrade'] = 'Imaki eliphezulu';
$string['bestgrades'] = 'Amamaki {$a} aphezulu';
$string['bestgroupgrade'] = 'Iqembuelinamamaki aphezulu';
$string['bestgroupgrades'] = 'Amaqembu {$a} anamamaki aphezulu';
$string['config_format_absolute'] = 'Absolute numbers';
$string['config_format_fraction'] = 'Fractions';
$string['config_format_percentage'] = 'Amaphecenti';
$string['config_grade_format'] = 'Veza amamaki njenge';
$string['config_name_format'] = 'Indawo efihlekile yokuveza amamaki';
$string['config_names_anon'] = 'Amamaki angaziwa';
$string['config_names_full'] = 'Veza amagama ngokuphelele';
$string['config_names_id'] = 'Veza izinombolo zomazisi';
$string['config_no_quizzes_in_course'] = 'Lesisifundo asinawo umsebenzi we quiz. Kumele ufake okungenani esisodwa ngaphambi kokuba usebenzise lesisikhala kahle.';
$string['config_select_quiz'] = 'Yiyiphi i quiz okumele lesi sikhala siveze umphumela kuso';
$string['config_show_best'] = 'Managaki amamaki aphezulu okumelwe avezwe (0 kuze kungasebenzi)?';
$string['config_show_worst'] = 'Mangaki amamaki aphansi okumelwe avezwe (0 kuze kungasebenzi)';
$string['config_use_groups'] = 'Khombisa iqulu kunabafundi(kuphela uma i quiz ihambelana nequlu)';
$string['configuredtoshownothing'] = 'Lesisikha okwamanje asivumeli ukukhonjiswa kwemiphumela, ungafuna ukulungisa okukanye usifihle.';
$string['error_emptyquizid'] = 'Kunenkinga ngalesi sikhala: kumele ukhethe ukuthi yiyiphi iquiz okumele kuvezwe umphumela kuyo.';
$string['error_emptyquizrecord'] = 'Kunenkinga ngalesisikhala: i quiz ekhethiwe kubonakala sengathi ayikho kuyi database.';
$string['error_nogroupsexist'] = 'Kunenkinga njengamanje ngalesi sikhala: Ilungiswe ngendlela yokuveza amamaki ngendlela yezinkundla,kodwa isifundo asinankundla echaziwe';
$string['pluginname'] = 'Amamaki e quiz';
$string['worstgrade'] = 'Amamaki aphansi';
$string['worstgrades'] = 'Amamaki aphansi';
$string['worstgroupgrade'] = 'Iqembu elinamamaki aphansi';
$string['worstgroupgrades'] = 'Iqembu elinamamaki aphansi';
